require "simple_ca/sign_csr"

module SimpleCA
  class CA
    def initialize root, key
      @root = root
      @key = key
    end

    def sign_csr csr
      SimpleCA::SignCSR.new(@root, @key).call csr
    end
  end
end
